Bug 142716 - PPTX EXPORT: Text content is partially lost
Summary: PPTX EXPORT: Text content is partially lost
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
7.2.0.0 alpha1+
Hardware: All All
: medium normal
Assignee: Gülşah Köse
URL:
Whiteboard: target:7.3.0 target:7.2.0.0.beta2 tar...
Keywords:
Depends on:
Blocks: PPTX
  Show dependency treegraph
 
Reported: 2021-06-08 13:16 UTC by Gülşah Köse
Modified: 2021-07-20 12:34 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Sample file (22.74 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2021-06-08 13:17 UTC, Gülşah Köse
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gülşah Köse 2021-06-08 13:16:24 UTC
Description:
After save the sample.pptx as pptx, text content is partially lost.
Buggy file is reported in tdf#36363 (slide no: 7)

Steps to Reproduce:
1. Open sample.pptx in LibreOffice
2. Save as sample1.pptx.
3. Close and open sample1.pptx again.

Actual Results:
Text is "xxx and"

Expected Results:
Text should be "xxx and yyy"


Reproducible: Always


User Profile Reset: No



Additional Info:
-
Comment 1 Gülşah Köse 2021-06-08 13:17:11 UTC
Created attachment 172705 [details]
Sample file
Comment 2 Commit Notification 2021-06-21 08:28:49 UTC
Gülşah Köse committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/e837f50313a703b6b26abb78f224472c1e4734ea

tdf#142716 Update selection after any text is inserted.

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2021-06-21 11:37:03 UTC
Gülşah Köse committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/1da6972c716256f908ea11549b6566877ce1e580

tdf#142716 Update selection after any text is inserted.

It will be available in 7.2.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2021-06-23 13:07:48 UTC
Gülşah Köse committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/adaea81bf63815fb171850ea9f4a2e9c9f2144d1

tdf#142716 Update selection after any text is inserted.

It will be available in 7.1.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 BogdanB 2021-07-20 12:34:05 UTC
Thanks for fixing this bug.

Verified in
Version: 7.2.0.1.0+ (x64) / LibreOffice Community
Build ID: ffeeb78118a887419c5f33bb5311f0e2ddae463c
CPU threads: 4; OS: Windows 10.0 Build 19043; UI render: Skia/Raster; VCL: win
Locale: ro-RO (ro_RO); UI: en-US
Calc: threaded